Search Support

Avoid support scams. We will never ask you to call or text a phone number or share personal information. Please report suspicious activity using the “Report Abuse” option.

Learn More

FAFSA website not compatible with new FireFox, how do I get access to versions 3.5 or 3.6?

more options

When attempting to apply, the website states that the browser is not compatible. There is a list of browsers that are, including versions 3.5 and 3.6, when I click on the link provided the only download that is available is the new 8.0 version and it is not accepted on this site.

All Replies (1)

more options

http://portableapps.com/apps/internet/firefox_portable/localization#legacy36

Install Firefox Portable 3.6.x to your hard drive for use at the FAFSA website. It won't affect your regular Firefox installation.